/**
 * Ship_Entity type guard.
 *
 * @param {any} shipJson Ship object from API
 * @returns {boolean} Return true if type is Ship_Entity
 */
function validator(shipJson) {
    if (typeof shipJson === "object" && shipJson != null) {
        Ship_Entity.requiredFields.forEach((element) => {
            if (!Object.keys(shipJson).includes(element))
                throw new Error(`Field ${element} is null or undefined`);
        });
    }
    return true;
}
export default class Ship_Entity {
    static requiredFields = ["id"];
    constructor(shipJson) {
        if (validator(shipJson)) {
            this.id = shipJson.id;
            this.name = shipJson.name;
            this.currentVersion = shipJson.currentVersion;
            this.image = shipJson.image;
            this.latestVersion = shipJson.latestVersion;
            this.gitlabID = shipJson.gitlabID;
        }
        else
            throw new Error(`Failed to create new instance of ${Ship_Entity.name}`);
    }
    id;
    name;
    currentVersion;
    image;
    latestVersion;
    gitlabID;
}
