const env = {
    api: {
        endpoint: {
            defaultValue: "https://api.wa.alpha.wa-labs.com",
            type: "string",
            description: "Api endpoint",
        },
        port: {
            defaultValue: 443,
            type: "number",
            description: "Api port",
        },
        routePrefix: {
            defaultValue: "/v3",
            type: "string",
            description: "Api route prefix",
        },
        production: {
            defaultValue: false,
            type: "boolean",
            description: "Is production Api?",
        },
        versionCheckerEndpoint: {
            defaultValue: "",
            type: "string",
            description: "Version Checker Api endpoint",
        },
    },
    app: {
        alphaWatermark: {
            defaultValue: true,
            type: "boolean",
            description: "Show alpha watermark",
        },
        betaWatermark: {
            defaultValue: true,
            type: "boolean",
            description: "Show beta watermark",
        },
        favicon: {
            defaultValue: "https://storage.googleapis.com/archer-app/favicons/home.png",
            type: "string",
            description: "App favicon path",
        },
        logo: {
            defaultValue: "https://storage.googleapis.com/archer-app/logos/ArcherLogo_red.png",
            type: "string",
            description: "App logo path",
        },
        rootBackground: {
            defaultValue: "https://storage.googleapis.com/archer-app-test/media/images/interdoc/background.jpg",
            type: "string",
            description: "App background image",
        },
        title: {
            defaultValue: "Archer App",
            type: "string",
            description: "App title",
        },
        theme: {
            primaryColor: {
                defaultValue: "#FF0000",
                type: "color",
                description: "App primary color",
            },
            secondaryColor: {
                defaultValue: "#808080",
                type: "color",
                description: "App secondary color",
            },
        },
        signinRedirection: {
            defaultValue: "",
            type: "string",
            description: "Sign in page to redirect users to",
        },
        shipEndpoint: {
            defaultValue: "",
            type: "string",
            description: "Endpoint of the ship service",
        },
    },
    centrifugo: {
        url: {
            defaultValue: "",
            type: "string",
            description: "Centrifugo url",
        },
        token: {
            defaultValue: "",
            type: "string",
            description: "Centrifugo token",
        },
    },
};
export default env;
