/**
 * @param  {Array<T>} elements
 * @returns Map
 */
export declare function arrayToMap<T extends {
    id: number;
}>(elements: Array<T>): {
    [key: number]: T;
};
/**
 * @param  {Map<number} elements
 * @returns Map
 */
export declare function mapToArray<T extends {
    id: number;
}>(elements: {
    [key: number]: T;
}): Array<T>;
/**
 *
 * @returns {number} 1 if the keyboard layout is MacOS type, -1 for others, 0 if no physical keyboard.
 */
export declare const getKeyboardLayoutType: () => 1 | -1 | 0;
