export type SearchMetadatum = {
    id: string;
    label: string;
    name: string;
    type: "int" | "date" | "string" | "bool";
};
export type SearchMetadata = SearchMetadatum[];
export type Filter = {
    name: string;
    value: string | number | boolean;
    comparison: ComparisonOperator;
    subFilters?: SubFilter[];
};
export type SubFilter = {
    name: string;
    orOperator: boolean;
    comparison: ComparisonOperator;
    value: string | number | boolean;
};
export type Filters = Filter[];
export type ComparisonOperator = "eq" | "gt" | "lt" | "neq" | "gte" | "lte" | "in" | "like" | "isNotNull" | "isNull" | null;
